MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031518Open CASCADE[OCCT] OCCT:Samplespublic2020-04-23 23:332020-04-26 14:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031518: Samples - update QtWidget samples to use AIS_ViewController
DescriptionIt is desired replacing custom mouse gestures within QtWidget samples with AIS_ViewController.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507closedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0091752)
git (administrator)
2020-04-23 23:46

Branch CR31518 has been created by kgv.

SHA-1: 165f276bc07401a3e038128cc0c1c096a8587d7f


Detailed log of new commits:

Author: kgv
Date: Thu Apr 23 23:47:11 2020 +0300

    0031518: Samples - update QtWidget samples to use AIS_ViewController
    
    AIS_ViewController now supports AIS_MouseGesture_ZoomWindow gesture,
    which displays zooming window via Rubber-Band rectangle.
    
    Qt samples IESample and Tutorial have been updated to use AIS_ViewController for view manipulations.
(0091753)
git (administrator)
2020-04-24 00:17

Branch CR31518 has been updated forcibly by kgv.

SHA-1: 61ee505d702ba4e20ecbbb3199a114c6b351274e
(0091758)
git (administrator)
2020-04-24 01:21

Branch CR31518_1 has been created by kgv.

SHA-1: c61ba425dcf6583d8295c5a539735df92a7f491f


Detailed log of new commits:

Author: kgv
Date: Thu Apr 23 23:47:11 2020 +0300

    0031518: Samples - update QtWidget samples to use AIS_ViewController
    
    Qt samples IESample and Tutorial have been updated to use AIS_ViewController for view manipulations.
(0091759)
git (administrator)
2020-04-24 02:32

Branch CR31518_1 has been updated forcibly by kgv.

SHA-1: 9e5d2cf556d5dbae5b04d841e77866e7f50cb689
(0091770)
kgv (developer)
2020-04-24 13:09

Patch is ready for review in OCCT and OCC Products branches CR31518_1.

http://jenkins-test-12.nnov.opencascade.com/view/CR31518_1-CR31518_1-KGV/view/SAMPLES/ [^]
(0091777)
git (administrator)
2020-04-24 14:58

Branch CR31518_1 has been updated forcibly by kgv.

SHA-1: 1df632c7e1942e69c108fc3bee42ec34d3b2336c
(0091784)
osa (developer)
2020-04-24 15:39

The patch was reviewed
(0091799)
bugmaster (administrator)
2020-04-26 13:59

Combination -
OCCT branch : IR-2020-04-24
master SHA - 0439d1cf4488bb60804531b1e33a7b6d8feaa4bb
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-04-24 SHA - f669cdfbd089ad1c55ebd7b5fd9a85aaadbcf252
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17147.59000000021 / 16936.94000000008 [+1.24%]
Products
Total CPU difference: 11276.230000000087 / 11283.690000000102 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 18665.6875 / 18389.65625 [+1.50%]
Products
Total CPU difference: 13204.1875 / 13180.625 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091803)
git (administrator)
2020-04-26 14:12

Branch CR31518_1 has been deleted by inv.

SHA-1: 1df632c7e1942e69c108fc3bee42ec34d3b2336c
(0091805)
git (administrator)
2020-04-26 14:12

Branch CR31518 has been deleted by inv.

SHA-1: 61ee505d702ba4e20ecbbb3199a114c6b351274e

- Related Changesets
occt: master 0439d1cf
Timestamp: 2020-04-23 20:47:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031518: Samples - update QtWidget samples to use AIS_ViewController

Qt samples IESample and Tutorial have been updated to use AIS_ViewController for view manipulations.
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/Common/src/View.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-23 23:33 kgv New Issue
2020-04-23 23:33 kgv Assigned To => kgv
2020-04-23 23:33 kgv Relationship added child of 0030507
2020-04-23 23:34 kgv Summary Samples - use AIS_ViewController within QtWidget samples => Samples - update QtWidget samples to use AIS_ViewController
2020-04-23 23:46 git Note Added: 0091752
2020-04-24 00:17 git Note Added: 0091753
2020-04-24 01:21 git Note Added: 0091758
2020-04-24 02:32 git Note Added: 0091759
2020-04-24 13:09 kgv Note Added: 0091770
2020-04-24 13:09 kgv Assigned To kgv => osa
2020-04-24 13:09 kgv Status new => resolved
2020-04-24 14:58 git Note Added: 0091777
2020-04-24 15:39 osa Note Added: 0091784
2020-04-24 15:39 osa Assigned To osa => bugmaster
2020-04-24 15:39 osa Status resolved => reviewed
2020-04-26 13:59 bugmaster Note Added: 0091799
2020-04-26 13:59 bugmaster Status reviewed => tested
2020-04-26 14:01 bugmaster Test case number => Not required
2020-04-26 14:02 bugmaster Changeset attached => occt master 0439d1cf
2020-04-26 14:02 bugmaster Status tested => verified
2020-04-26 14:02 bugmaster Resolution open => fixed
2020-04-26 14:12 git Note Added: 0091803
2020-04-26 14:12 git Note Added: 0091805


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker